GET /projects/{projectId}/contacts

Authentication

API Key (header: X-API-Key)

Path Parameters

projectId string required path

Query Parameters

q string optional query
cursor string optional query
limit integer optional query

Responses

200 Paginated contacts
application/json
data object[]
Array of:
id string
project_id string
email string | null
name string | null
phone string | null
external_id string | null
metadata object
created_at string (date-time)
cursor string | null
has_more boolean
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/contacts' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/contacts', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/contacts', headers=headers)print(response.json())
200 Response
{  "data": [    {      "id": "<string>",      "project_id": "<string>",      "email": "<string>",      "name": "<string>",      "phone": "<string>",      "external_id": "<string>",      "metadata": "<object>",      "created_at": "2024-01-01T00:00:00Z"    }  ],  "cursor": "<string>",  "has_more": true}
Ask a question... ⌘I